JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const triggers = await client.workflows.triggers.list();
console.log(triggers.items);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
triggers = client.workflows.triggers.list()
print(triggers.items)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
triggers, err := client.Workflows.Triggers.List(context.TODO(), mobileruncloud.WorkflowTriggerListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", triggers.Items)
}mobilerun-cloud workflows:triggers list \
--api-key 'My API Key'curl --request GET \
--url https://api.mobilerun.ai/triggers \
--header 'Authorization: Bearer <token>'
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"scheduleRule": {
"dateTime": "<string>",
"expression": "<string>",
"rrule": "<string>"
},
"timezone": "<string>",
"eventType": "<string>",
"customPayloadSchema": {},
"createdAt": "<string>",
"updatedAt": "<string>",
"nextFireTime": "<string>",
"conditions": "<unknown>"
}
],
"pagination": {
"hasNext": true,
"hasPrev": true,
"page": 2,
"pageSize": 2,
"pages": 1,
"total": 1
}
}Triggers
List triggers
Return a paginated list of triggers. Supports filtering by activation and eventType, free-text search, and ordering by name, createdAt, or updatedAt.
GET
/
triggers
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const triggers = await client.workflows.triggers.list();
console.log(triggers.items);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
triggers = client.workflows.triggers.list()
print(triggers.items)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
triggers, err := client.Workflows.Triggers.List(context.TODO(), mobileruncloud.WorkflowTriggerListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", triggers.Items)
}mobilerun-cloud workflows:triggers list \
--api-key 'My API Key'Authorizations
Bearer token via Authorization header
Query Parameters
Available options:
event, schedule, custom Maximum string length:
256Available options:
name, createdAt, updatedAt Available options:
asc, desc Was this page helpful?
⌘I